caferimo-ingredients-post-one

Source

  • Repository: jef-systems/jef-caferimo-backend

  • Source Run ID: 24962842310

  • Source SHA: c73d8c4fa33c496a8e9d39267e4868ddfa8978a5

  • Module: caferimo

  • Documentation Scope: async

  • Lambda: jef-caferimo-post-6

Endpoint

  • API Name: jef-caferimo

  • Action Name: post

  • Method: POST

  • Scope Label: Async

  • Resource Path: /caferimo-ingredients-post-one

  • Complete Endpoint: https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-ingredients-post-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-6

  • curl payload mode: json_body

API Gateway Description

Function: jef-caferimo-post-6
Module: jef-caferimo
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /caferimo-ingredients-post-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-caferimo-ingredients

Payload Example:
- ingredient_number: 0001
- ingredient_name: Espresso Shot
- ingredient_label: Espresso Shot
- unit: shot
- family: coffee
- is_milk: False
- is_active: True
- is_deleted: False
- created_at: 2026-04-26T12:00:00Z
- updated_at: 2026-04-26T12:00:00Z
- version: 1

Payload Schema:
- ingredient_number: string
- ingredient_name: string
- ingredient_label: string
- unit: string
- family: string
- is_milk: boolean
- is_active: boolean
- is_deleted: boolean
- created_at: string
- updated_at: string
- version: number

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "ingredient_number": "0001",
  "ingredient_name": "Espresso Shot",
  "ingredient_label": "Espresso Shot",
  "unit": "shot",
  "family": "coffee",
  "is_milk": "False",
  "is_active": "True",
  "is_deleted": "False",
  "created_at": "2026-04-26T12:00:00Z",
  "updated_at": "2026-04-26T12:00:00Z",
  "version": "1"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-ingredients-post-one" -H "Content-Type: application/json" --data-raw "{\"ingredient_number\": \"0001\", \"ingredient_name\": \"Espresso Shot\", \"ingredient_label\": \"Espresso Shot\", \"unit\": \"shot\", \"family\": \"coffee\", \"is_milk\": false, \"is_active\": true, \"is_deleted\": false, \"created_at\": \"2026-04-26T12:00:00Z\", \"updated_at\": \"2026-04-26T12:00:00Z\", \"version\": 1}"

PowerShell curl

curl.exe -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-ingredients-post-one" -H "Content-Type: application/json" --data-raw '{"ingredient_number": "0001", "ingredient_name": "Espresso Shot", "ingredient_label": "Espresso Shot", "unit": "shot", "family": "coffee", "is_milk": false, "is_active": true, "is_deleted": false, "created_at": "2026-04-26T12:00:00Z", "updated_at": "2026-04-26T12:00:00Z", "version": 1}'